<?php
$estado_session = session_status();
if($estado_session == PHP_SESSION_NONE){
    session_start();
}

//session_start();
include "verifica.php";
include_once "../conexion.php";

$cor = new Correlativos;

class Correlativos{
	
	//CORRELATIVO DE ORDEN DE PEDIDO
	function pedido($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_pedido FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_pedido'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_pedido=cor_pedido+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}


	//CORRELATIVO DE ORDEN DE COMPRA
	function compra($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_compra FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_compra'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_compra=cor_compra+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}

	
	//CORRELATIVO DE OPERACION DE ALMACEN
	function almacen($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_almacen FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_almacen'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_almacen=cor_almacen+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}
	
	
	//CORRELATIVO DE OPERACION DE CAJA
	function caja($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_caja FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_caja'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_caja=cor_caja+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}
	
	
	//CORRELATIVO DE CIERRE DE CAJA
	function caja_cierre($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_caja_cierre FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_caja_cierre'];
			$xcodigo = "CAJA".substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_caja_cierre=cor_caja_cierre+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}


	//CORRELATIVO DE COTIZACI�N
	function cotizacion($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_cotizacion FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_cotizacion'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_cotizacion=cor_cotizacion+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}


	//CORRELATIVO DE PERSONA
	function persona($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_persona FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_persona'];
			$xcodigo = substr($xcor, strlen($xcor)-8, 8);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_persona=cor_persona+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}	
	
	
	

	//CORRELATIVO DE COMPROBANTES, GRABAR
	function comprobantes_grabar($conexion, $xserie, $xpagodocumento){
	
	
		$r_doc = mysqli_query($conexion,"SELECT comtip_codigo_fk FROM documento_pago d WHERE docpag_codi=$xpagodocumento;");
		while($row_doc=mysqli_fetch_array($r_doc)){
			$xcomtip_codigo_fk = $row_doc['comtip_codigo_fk'];
		}
	
	
		//$r = mysqli_query($conexion,"SELECT * FROM comprobante_serie c WHERE comser_serie='$xserie';");
		$r = mysqli_query($conexion,"SELECT comser_correlativo FROM comprobante_serie c WHERE comser_serie='$xserie' AND comtip_codigo_fk='$xcomtip_codigo_fk';");		
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['comser_correlativo'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$ncomprobante = $xserie."-".$xcodigo;
			
			$g = mysqli_query($conexion,"UPDATE comprobante_serie SET comser_correlativo=comser_correlativo+1 WHERE comser_serie='$xserie' AND comtip_codigo_fk='$xcomtip_codigo_fk';");			
		}
				
		return $ncomprobante;			
	}
	


	//CORRELATIVO DE NOTA DE CREDITO, GRABAR
	function comprobantes_grabar_nota_credito($conexion, $xserie){
	
		$r = mysqli_query($conexion,"SELECT comser_correlativo FROM comprobante_serie c WHERE comser_serie='$xserie' AND comtip_codigo_fk='07';");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['comser_correlativo'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$ncomprobante = $xserie."-".$xcodigo;
			
			$g = mysqli_query($conexion,"UPDATE comprobante_serie SET comser_correlativo=comser_correlativo+1 WHERE comser_serie='$xserie' AND comtip_codigo_fk='07';");			
		}
				
		return $ncomprobante;			
	}
	


	//CORRELATIVO DE NOTA DE DEBITO, GRABAR
	function comprobantes_grabar_nota_debito($conexion, $xserie){
	
		$r = mysqli_query($conexion,"SELECT comser_correlativo FROM comprobante_serie c WHERE comser_serie='$xserie' AND comtip_codigo_fk='08';");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['comser_correlativo'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$ncomprobante = $xserie."-".$xcodigo;
			
			$g = mysqli_query($conexion,"UPDATE comprobante_serie SET comser_correlativo=comser_correlativo+1 WHERE comser_serie='$xserie' AND comtip_codigo_fk='08';");			
		}
				
		return $ncomprobante;			
	}
	


	//CORRELATIVO DE PRESUPUESTO
	function presupuesto($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_presupuesto FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_presupuesto'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_presupuesto=cor_presupuesto+1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}




	//CORRELATIVO DE INASISTENCIAS
	function inasistencia($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_inasistencia FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_inasistencia'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_inasistencia=cor_inasistencia+1 WHERE cor_codi=1;");
		}
				
		return $xcodigo;			
	}


	//CORRELATIVO DE REQUERIMIENTO
	function requerimiento($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_requerimiento_compra FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_requerimiento_compra'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_requerimiento_compra = cor_requerimiento_compra + 1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}


	//CORRELATIVO DE REQUERIMIENTO INTERNO
	function requerimiento_interno($conexion){
	
		$r = mysqli_query($conexion,"SELECT cor_requerimiento_interno FROM correlativos c WHERE cor_codi=1;");
		while($row=mysqli_fetch_array($r)){
			$xcor = "0000000".$row['cor_requerimiento_interno'];
			$xcodigo = substr($xcor, strlen($xcor)-7, 7);
			
			$g = mysqli_query($conexion,"UPDATE correlativos SET cor_requerimiento_interno = cor_requerimiento_interno + 1 WHERE cor_codi=1;");			
		}
				
		return $xcodigo;			
	}




}
?>
